/*
 * (C) Copyright 2013 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     Florent Guillaume
 */
package org.nuxeo.ecm.core.work.api;

import org.nuxeo.common.xmap.annotation.XNode;
import org.nuxeo.common.xmap.annotation.XObject;
import org.nuxeo.ecm.core.work.WorkQueuing;

/**
 * Descriptor for a {@link WorkManager} queuing implementation configuration.
 *
 * @since 5.8
 */
@XObject("queuing")
public class WorkQueuingImplDescriptor {

    @XNode("@class")
    public Class<?> klass;

    @SuppressWarnings("unchecked")
    public Class<? extends WorkQueuing> getWorkQueuingClass() {
        if (!(WorkQueuing.class.isAssignableFrom(klass))) {
            throw new RuntimeException("Invalid class: " + klass.getName());
        }
        return (Class<? extends WorkQueuing>) klass;
    }

}
