/*
 * (C) Copyright 2013 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     dmetzler
 */
package org.nuxeo.ecm.automation.jaxrs.io.documents;

import java.io.IOException;

import org.codehaus.jackson.JsonGenerator;
import org.nuxeo.ecm.automation.core.operations.business.adapter.BusinessAdapter;
import org.nuxeo.ecm.automation.io.services.codec.ObjectCodecService;
import org.nuxeo.ecm.automation.jaxrs.io.EntityListWriter;
import org.nuxeo.runtime.api.Framework;

/**
 * @since 5.8
 */
public class BusinessAdapterListWriter extends EntityListWriter<BusinessAdapter> {

    @Override
    protected String getEntityType() {
        return "adapters";
    }

    @Override
    protected void writeItem(JsonGenerator jg, BusinessAdapter item) throws IOException {
        ObjectCodecService service = Framework.getLocalService(ObjectCodecService.class);
        service.write(jg, item);
    }

}
