/*
 * (C) Copyright 2006-2009 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     Nuxeo
 */

package org.nuxeo.ecm.platform.publisher.remoting.restHandler;

import org.nuxeo.ecm.platform.publisher.api.PublicationNode;

import javax.ws.rs.core.MediaType;
import java.util.List;

public class RemotePubParam {

    public static final MediaType mediaType = new MediaType("nuxeo", "remotepub");

    protected List<Object> params;

    public RemotePubParam(List<Object> params) {
        this.params = params;
    }

    public List<Object> getParams() {
        return params;
    }

    public PublicationNode getAsNode() {
        if (params.size() == 1) {
            return (PublicationNode) params.get(0);
        } else {
            return null;
        }
    }

}
