/*
 * (C) Copyright 2015 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     Thomas Roger
 */

package org.nuxeo.ecm.permissions;

/**
 * @since 7.4
 */
public class Constants {

    private Constants() {
        // constants class
    }

    public static final String ACE_INFO_DIRECTORY = "aceinfo";

    public static final String NOTIFY_KEY = "notify";

    public static final String COMMENT_KEY = "comment";

    public static final String ACE_KEY = "ace";

    public static final String ACL_NAME_KEY = "aclName";

    public static final String PERMISSION_NOTIFICATION_EVENT = "permissionNotification";

    public static final String ACE_GRANTED_TEMPLATE = "template:aceGranted";

    public static final String ACE_INFO_ID = "aceinfo:id";

    public static final String ACE_INFO_REPOSITORY_NAME = "aceinfo:repositoryName";

    public static final String ACE_INFO_DOC_ID = "aceinfo:docId";

    public static final String ACE_INFO_ACL_NAME = "aceinfo:aclName";

    public static final String ACE_INFO_ACE_ID = "aceinfo:aceId";

    public static final String ACE_INFO_NOTIFY = "aceinfo:notify";

    public static final String ACE_INFO_COMMENT = "aceinfo:comment";

}
